GAVF-DECODE(1)

NAME
gavf-decode - Open media locations and output a gavf stream

SYNOPSIS
gavf-decode [options]

DESCRIPTION
gavf decoder

OPTIONS

-i <location>

    Set input file or location

-p <plugin>

    Set input file plugin to use

-t <track>

    Track (starting with 1)

-seek <seconds>

    Seek to position

-as <stream_selector>

    Comma separated list of characters 'd' (decode), 'm' (mute) or 'c' (read compressed)

-vs <stream_selector>

    Comma separated list of characters 'd' (decode), 'm' (mute) or 'c' (read compressed)

-ts <stream_selector>

    Comma separated list of characters 'm' (mute) or 'c' (read)

-os <stream_selector>

    Comma separated list of characters 'd' (decode), 'm' (mute) or 'c' (read compressed)

-o <output>

    Output file or location

-m name=value

    Set global metadata of the output (can be used multiple times). Use "name=" to clear a field

-oopt param1=val1[&param2=val2...]

    options
    shm=<number> (default: 1024)

    SHM threshold

    Select the minimum packet size for using shared memory for a stream. Non-positive values disable shared memory completely

    to=<number> (500..100000, default: 5000)

    Timeout (milliseconds)

    dp=[1|0] (default: 0)

    Dump gavf packets

    Use this for debugging

GENERIC OPTIONS
The following generic options are available for all gmerlin applications

-help

    Print this help message and exit

-help-man

    Print this help message as a manual page and exit

-help-texi

    Print this help message in texinfo format and exit

-version

    Print version info and exit

-v level

    Set verbosity level (0..4)

-syslog name

    Log to syslog the specified name

-stderr

    Always log to stderr

FILES
~/.gmerlin/plugins.xml

    Cache of the plugin registry (shared by all applications)

~/.gmerlin/generic/cfg.xml

    Default plugin parameters are read from there. Use gmerlin_plugincfg to change them.